	program test_dheap
c
c----------------------------------------------
c       test pour l'algorithme de tri heapsort
c-----------------------------------------------

        implicit none
c
      integer n,nmax,i
      parameter(nmax=100)
      double precision  tab(nmax)
      integer itab(nmax)
c
c---> allocation  des valeurs du tableau
c
      write(*,*)'Introduire la valeur de n='
      read(*,*) n
c
       write(*,*)'==== Tableau original========'
      do i=1,n
          itab(i)=i
           tab(i)=rand()
       write(*,*) 'i=',i,' tab(i)=',tab(i)
      enddo
c
c---> tri par heapsort
c
           
      call dheap(tab,itab,n)
c
c---> affichage du tableau trie
c
       write(*,*)'==== Tableau trie========'
      do i=1,n
       write(*,111) ' iorig=',itab(i),' tab(i)=',tab(i)
      enddo      
c
111   format(A7,I3,A8,F12.8)
c
      stop 
      end

           